info:
  name: elixPro - Get module status
  type: http
  seq: 7

http:
  method: GET
  url: "{{elixProStudioUrl}}/eP/elixpro-studio/api/elixpro/procedimento/workflow/status?procedureTag=edilizia_rda_manutenzione_wf&includePropertiesBody=1"
  params:
    - name: procedureTag
      value: edilizia_rda_manutenzione_wf
      type: query
    - name: includePropertiesBody
      value: "1"
      type: query
  auth: inherit

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: false

examples:
  - name: example
    request:
      url: "{{elixProStudioUrl}}/eP/elixpro-studio/api/elixpro/procedimento/workflow/status?procedureTag=edilizia_rda_manutenzione_wf&includePropertiesBody=1"
      method: GET
      params:
        - name: procedureTag
          value: edilizia_rda_manutenzione_wf
          type: query
        - name: includePropertiesBody
          value: "1"
          type: query
    response:
      status: 200
      statusText: OK
      headers:
        - name: date
          value: Mon, 31 Aug 2026 13:12:33 GMT
        - name: server
          value: "Payara Server 6.2025.1 #badassfish"
        - name: content-security-policy
          value: "default-src https: data: 'unsafe-inline' 'unsafe-eval'; img-src 'self' blob: data: https:;"
        - name: content-type
          value: application/json;charset=UTF-8
        - name: content-length
          value: "1098"
        - name: x-frame-options
          value: SAMEORIGIN
        - name: strict-transport-security
          value: max-age=31536000; includeSubDomains
        - name: x-xss-protection
          value: "1"
        - name: x-content-type-options
          value: nosniff
        - name: referrer-policy
          value: unsafe-url
        - name: keep-alive
          value: timeout=10, max=500
        - name: connection
          value: Keep-Alive
      body:
        type: json
        data: |-
          {
            "ok": true,
            "data": {
              "exists": true,
              "empty": false,
              "editing": true,
              "released": true,
              "matchingEntitiesSize": 1,
              "amountOfOldVersionsDraft": 7,
              "amountOfOldVersionsOnline": 0,
              "lastModDate": "2026-07-24T10:05:36.505Z",
              "lastReleaseDate": "2026-07-24T10:04:31.393Z",
              "workflowVersion": "3.0.0",
              "message": "Stato letto da /config/properties/{procedureTag}.",
              "propertiesResponseBody": "{\n  \"value\" : {\n    \"code\" : \"OK\",\n    \"complete\" : true,\n    \"globalStatus\" : \"OK\",\n    \"uuid\" : \"71e8b093-6b6d-458f-a096-de8534ddcfeb\",\n    \"version\" : \"3.0.0\",\n    \"matchingEntities\" : {\n      \"amountOfOldVersions\" : 7,\n      \"editing\" : true,\n      \"lastModDate\" : \"2026-07-24T10:05:36.505Z\",\n      \"lastReleaseDate\" : \"2026-07-24T10:04:31.393Z\",\n      \"procedureTag\" : \"edilizia_rda_manutenzione_wf\",\n      \"released\" : true\n    },\n    \"matchingEntitiesSize\" : 1\n  }\n}",
              "efpRowExists": true,
              "efpDraftReady": true,
              "efpOnlineReady": true,
              "modDt": "2026-07-24T10:05:36.505Z",
              "modId": "api_token_volatile_user",
              "relDt": "2026-07-24T10:04:31.393Z",
              "relId": "api_token_volatile_user"
            }
          }
